diff --git a/src/backend/commands/cluster.c b/src/backend/commands/cluster.c
index bcc7d1e..fa3d22f 100644
--- a/src/backend/commands/cluster.c
+++ b/src/backend/commands/cluster.c
@@ -894,7 +894,8 @@ copy_heap_data(Oid OIDNewHeap, Oid OIDOldHeap, Oid OIDOldIndex,
 		Buffer		buf;
 		bool		isdead;
 
-		CHECK_FOR_INTERRUPTS();
+		/* Launches vacuum delay */
+		vacuum_delay_point();
 
 		if (indexScan != NULL)
 		{
@@ -1012,7 +1013,7 @@ copy_heap_data(Oid OIDNewHeap, Oid OIDOldHeap, Oid OIDOldIndex,
 			HeapTuple	tuple;
 			bool		shouldfree;
 
-			CHECK_FOR_INTERRUPTS();
+			vacuum_delay_point();
 
 			tuple = tuplesort_getheaptuple(tuplesort, true, &shouldfree);
 			if (tuple == NULL)
